> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/cors-support.md).

# CORS support

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

If the documents that you want to load are on a different domain than your WebViewer files you'll need to enable CORS on your document server. [This site](https://enable-cors.org/server.html) contains more information about how to enable CORS on your server.

Here is an example configuration that works for Amazon S3:

{% tabs %}
{% tab title="XML" %}
{% code lineNumbers="true" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<CORSConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <CORSRule>
        <AllowedOrigin>*</AllowedOrigin>
        <AllowedMethod>GET</AllowedMethod>
        <AllowedMethod>HEAD</AllowedMethod>
        <AllowedHeader>*</AllowedHeader>
    </CORSRule>
</CORSConfiguration>
```

{% endcode %}
{% endtab %}
{% endtabs %}

If you're using Google Cloud Storage you can refer to Google's documentation on how to set up CORS on a bucket [https://cloud.google.com/storage/docs/cross-origin](https://cloud.google.com/storage/docs/cross-origin/). They describe a few different ways you can upload the CORS configuration to Cloud Storage.

The cors-json-file.json that you can use is:

{% tabs %}
{% tab title="JSON" %}
{% code lineNumbers="true" %}

```json
[
    {
      "origin": ["*"],
      "responseHeader": ["*"],
      "method": ["*"],
      "maxAgeSeconds": 3600
    }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}
If you need to support IE9 and your documents are on another domain then [you'll need to use the XDomain library ](/web/advanced/cors-ie9.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/faq/cors-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
